# Generated by Django 3.2.5 on 2021-07-20 09:45

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='DjangoJob',
            fields=[
                ('id', models.CharField(help_text='Unique id for this job.', max_length=255, primary_key=True, serialize=False)),
                ('next_run_time', models.DateTimeField(blank=True, db_index=True, help_text='Date and time at which this job is scheduled to be executed next.', null=True)),
                ('job_state', models.BinaryField()),
                ('trigger', models.CharField(choices=[('DATE', 'Date'), ('CRON', 'Cron'), ('INTERVAL', 'Interval')], max_length=30)),
            ],
            options={
                'ordering': ('next_run_time',),
            },
        ),
        migrations.CreateModel(
            name='DjangoJobExecution',
            fields=[
                ('id', models.BigAutoField(help_text='Unique ID for this job execution.', primary_key=True, serialize=False)),
                ('job', models.CharField(help_text='The job that this execution relates to.', max_length=100)),
                ('status', models.CharField(choices=[('Job Added', 'Job Added'), ('Started execution', 'Started execution'), ('Error!', 'Error!'), ('Executed', 'Executed')], help_text='The current status of this job execution.', max_length=50)),
                ('run_time', models.DateTimeField(db_index=True, help_text='Date and time at which this job was added.')),
                ('type', models.CharField(choices=[('DATE', 'Date'), ('CRON', 'Cron'), ('INTERVAL', 'Interval')], help_text='defines the trigger type of this job.', max_length=50)),
                ('finished', models.DateTimeField(help_text='Timestamp at which this job was finished.', null=True)),
                ('exception', models.CharField(help_text='Details of exception that occurred during job execution (if any).', max_length=1000, null=True)),
                ('traceback', models.TextField(help_text='Traceback of exception that occurred during job execution (if any).', null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True, help_text='stores created job time.')),
                ('updated_at', models.DateTimeField(auto_now=True, help_text='stores last update time.')),
            ],
        ),
    ]
